/*\
|*| ---------------------------------------------------------------------------
|*|	generic VGA fixed clocks
|*| ---------------------------------------------------------------------------
|*|
|*|	Copyright (c) 1995 by Steffen Seeger, [seeger@physik.tu-chemnitz.de]
|*|
|*|	This program is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU General Public License as published by
|*|	the Free Software Foundation; version 2, or any later version.
|*|
|*|	You should have received a copy of the GNU General Public License
|*|	along with this program; see the file COPYING.  If not, write to
|*|	the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|*| ---------------------------------------------------------------------------
\*/

#include <linux/kernel.h>

#include "graphdev.h"
#include "kgi.h"

static struct kgi_clock clock =
{
	"generic",		/* manufacturer		*/
	"VGA",			/* model		*/
	GM_ALL,			/* supported modes	*/
	0,			/* special capabilities	*/
	{ 0x7FFF, 0x7FFF },	/* maximum resolution	*/


	CLK_TYPE_FIXED,		/* fixed clock values	*/

	/*\
	|*|	The clock values. Note that they have to be in descending
	|*|	order and that there must be no repetitions.
	\*/

	{{  28322000,  25175000,         0,         0,
	          0,         0,         0,         0,
	          0,         0,         0,         0,
	          0,         0,         0,         0
	}}
};

/*\
|*|	Driving CS[0:3] to index[i] selects clock.clock.freq[i].
\*/

static unsigned char index[MAX_FIXED_CLOCKS] =
{	0x01, 0x00, 0xFF, 0xFF,
	0xFF, 0xFF, 0xFF, 0xFF,
	0xFF, 0xFF, 0xFF, 0xFF,
	0xFF, 0xFF, 0xFF, 0xFF
};

static inline int
clock_init (void)
{
  /* no detection, the chipset driver does it. */
  return EOK;
}

static inline void
clock_done(void)
{
}

#include "fixed.inc"
