#ifdef	__VGA__
/*	VGA	From: Steffen Seeger, [Seeger@physik.tu-chemnitz.de]
 *		Date: 21 Nov 95 
 *	Note: normally VGA monitors have a bandwidth of 30 MHz. But as this 
 *	would only allow for 640 pixel horizontally the bandwidth is set to
 *	32 MHz, which will make 800 pixel modes possible (e.g. 100x50 textmode).
 */
#define	MON_VERSION	"0.00 ALPHA"

static struct kgi_monitor
monitor = {
		"standard",	        /* manufacturer		*/
		"14\" VGA",	        /* model		*/
		GM_ALL,			/* supported modes	*/
		0,                      /* special capabilities	*/
		{ 800, 480 },		/* maximum resolution	*/
		{ 240, 180 },		/* picture size [mm]    */
		VGA | COLOR_DISPLAY,	/* VGA color monitor	*/
		SYNC_NORMAL,	        /* normal syncing, VESA	*/
		{ 25000000, 32000000 },	/* pixel clock range	*/
		{    31171,    31800 },	/* hfreq range		*/
		{       50,       70 }	/* vfreq range		*/
	   };

#define	HTIMINGS	1
#define	VTIMINGS	3

static struct kgi_timing
htiming[HTIMINGS] =	/* horizontal timing in ns, descending hfreq */
{ /* width  bstart sstart send   bend   total  dummy */
  {  25422, 25424, 27030, 29871, 31142, 31778,     0 }	/* 31.468 kHz */
};

static struct kgi_timing
vtiming[VTIMINGS] =		/* vertical timing in lines */
{ /* width bstart sstart send bend total polarity & htiming */
  {   480,  488,  489,  491,  516,  524,  HNEG | VNEG | 0 },	/* 60 Hz */
  {   400,  407,  412,  414,  442,  449,  HNEG | VPOS | 0 },	/* 70 Hz */
  {   350,  356,  387,  389,  443,  449,  HPOS | VNEG | 0 }	/* 70 Hz */
};
#endif	/* __VGA__ */

#ifdef	__SVGA__
/*	SVGA	From: Steffen Seeger, [Seeger@physik.tu-chemnitz.de]
 *		Date: 21 Nov 95
 */
#define	MON_VERSION	"0.00 ALPHA"

static struct kgi_monitor
monitor = {
		"standard",		/* manufacturer		*/
		"14\" Super VGA",	/* model		*/
		GM_ALL,			/* supported modes	*/
		0,                      /* special capabilities	*/
		{ 1024, 768 },		/* maximum resolution	*/
		{  240, 180 },		/* picture size [mm]    */
		VGA | COLOR_DISPLAY,	/* VGA color monitor	*/
		SYNC_NORMAL,	        /* normal syncing, VESA	*/
		{ 25000000, 75500000 },	/* pixel clock range	*/
		{    31400,    58000 },	/* hfreq range		*/
		{       50,       75 }	/* vfreq range		*/
	   };

#define	HTIMINGS	3
#define	VTIMINGS	5

static struct kgi_timing
htiming[HTIMINGS] =
{ {  13653, 13653, 13973, 15786, 17707, 17707,     0 },	/* 56.476 kHz */
  {  16000, 16000, 17120, 19520, 20800, 20800,     0 },	/* 48.077 kHz */
  {  25422, 25424, 27030, 29871, 31142, 31778,     0 }};/* 31.468 kHz */ 

static struct kgi_timing
vtiming[VTIMINGS] =
{ {   768,   768,   771,   777,   806,   806,  HNEG | VNEG | 0 },  /* 70 Hz */
  {   600,   600,   637,   643,   666,   666,  HNEG | VPOS | 1 },  /* 72 Hz */
  {   480,   488,   489,   491,   516,   524,  HNEG | VNEG | 3 },  /* 60 Hz */
  {   400,   407,   412,   414,   442,   449,  HNEG | VPOS | 3 },  /* 70 Hz */
  {   350,   356,   387,   389,   443,   449,  HPOS | VNEG | 3 }}; /* 70 Hz */

#endif /* __SVGA__ */
