/*\
|*| --------------------------------------------------------------------------
|*|	generic CLUT manipulations
|*| --------------------------------------------------------------------------
|*|
|*|	Copyright (C) 1995, The SCRDRV project.
|*|
|*|	This program is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU General Public License as published by
|*|	the Free Software Foundation; either version 2, or (at your option)
|*|	any later version.
|*|
|*|	You should have received a copy of the GNU General Public License
|*|	along with this program; see the file COPYING.  If not, write to
|*|	the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|*|
|*| ---------------------------------------------------------------------------
\*/

/* MAINTAINER	"Steffen Seeger, [seeger@physik.tu-chemnitz.de]" */


static void
set_CLUT_entries(ggi_palette *table)
{
  int len;
  if (table && table->data && (len = table->cnt))
    {
      outbDAC(table->first, DAC_PW_INDEX);
      len += len + len;
      outsbDAC(DAC_P_DATA, table->data, len);
    }
}

static int
get_CLUT_entries(ggi_palette *table, unsigned char index, int cnt)
{
  int len = 0;
  if (table && table->data && table->cnt)
    {
      len = (cnt > table->cnt) ? cnt : table->cnt;
      outbDAC((table->first = index), DAC_PR_INDEX);
      insbDAC(DAC_P_DATA, table->data, len + len + len);
    }
  return len;
}

