/*\
|*| --------------------------------------------------------------------------
|*|     GGI device file definitions
|*| --------------------------------------------------------------------------
|*|
|*|	Copyright (C) 1995 by Andreas Beck, [becka@hp.rz.uni-duesseldorf.de]
|*|			  and Steffen Seeger, [seeger@physik.tu-chemnitz.de]
|*|
|*|	This program is free software; you can redistribute it and/or modify
|*|	it under the terms of the GNU General Public License as published by
|*|	the Free Software Foundation; either version 2, or (at your option)
|*|	any later version.
|*|
|*|	You should have received a copy of the GNU General Public License
|*|	along with this program; see the file COPYING.  If not, write to
|*|	the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
|*|
|*| ---------------------------------------------------------------------------
\*/

/* MAINTAINER	linux-ggi@eskimo.com */

#ifndef _err_h
#define _err_h

#include <linux/errno.h>

/*\
|*|	Error codes
\*/

#define	EOK			0x00000000	/* request done */
#define	EDRIVER			0x01000000	/* unspecified error in kernel driver */
#define	EMONITOR		0x02000000	/* unspecified error in monitor driver*/
#define	ERAMDAC			0x03000000	/* unspecified error in ramdac driver */
#define	ECLOCK			0x04000000	/* unspecified error in clock driver  */
#define	ECHIPSET		0x05000000	/* unspecified error in chipset driver*/
#define	EGRAPHICS		0x06000000	/* unspecified error in graphic driver*/

#define ENODRVSUP		0x00000100	/* The Driver does not support the request */
#define ENODRVSUP_ALWAYS_MMAP	0x00000121	/* The Driver will never support this function, use mmap */
#define ENODRVSUP_ALWAYS_LOWER	0x00000122	/* The Driver will never support this function, use lower level funtions */
#define ENODRVSUP_ALWAYS_CANT	0x00000123	/* The Driver cannot support this function - similar to EBOGUS */
#define ENODRVSUP_MODE_MMAP	0x00000111	/* not in this mode ... */
#define ENODRVSUP_MODE_LOWER	0x00000112
#define ENODRVSUP_MODE_CANT	0x00000113
#define ENODRVSUP_NOW_MMAP	0x00000101	/* not now - retry ! */
#define ENODRVSUP_NOW_LOWER	0x00000102
#define ENODRVSUP_NOW_CANT	0x00000103

#define ENBOGUS			0x00000200	/* request makes no sense */
#define ENOMODESUP_CHIP		0x00000201	/* chipset does not support this mode */
#define ENOMODESUP_MON		0x00000202	/* monitor will not support the requested mode */
#define ENOMODESUP_LOOP		0x00000203	/* infinite recursion occurred */

#endif	/* #ifdef _err_h */
